<?php
  global $text, $currentuser, $cms, $allow_admin, $subroot, $flags, $tmp;
?>
<body class="template">
  <!-- BEGIN: Header -->
  <div class="headerBox">
    <table class="headerTable">
      <tr class="headerTitleRow">
        <td>
          <!-- 3-part Title -->
          <span class="titleXL text_white">
            <?php echo getTemplateMessage('tNearDark2_headtitle1'); ?>
          </span>
          <span class="titleXL text_tan">
            <?php echo getTemplateMessage('tNearDark2_headtitle2'); ?>
          </span>
          <span class="titleXL text_grey">
            <?php echo getTemplateMessage('tNearDark2_headtitle3'); ?>
          </span>
          <br/>
          <!-- Subtitle -->
          <span class="normal text_grey">
            <?php echo getTemplateMessage('tNearDark2_headsubtitle'); ?>
          </span>
        </td>
        <td rowspan="2" style="text-align: right;">
          <img height="200px" src="<?php echo $cms['tngpath'] . $templatepath; echo $tmp['tNearDark2_headimg']; ?>">
        </td>
      </tr>
      <tr class="headerMenuRow">
        <td>
          <!-- Main Menu -->
          <?php 
            // Fake out the menu system
            $flags['noicons'] = 1;
            $tshowhome = $tngconfig['showhome'];
            $tngconfig['showhome'] = null;
            $tshowsearch = $tngconfig['showsearch'];
            $tngconfig['showsearch'] = null;
            $tshowlogin = $tngconfig['showlogin'];
            $tngconfig['showlogin'] = null;
            $tshowshare = $tngconfig['showshare'];
            $tngconfig['showshare'] = null;
          ?>
          <div class="icons"><?php echo tng_getLeftIcons(); ?>&nbsp;</div>
          <div class="icons"><?php echo tng_getRightIcons(0); ?>&nbsp;</div>
          <div id="searchdrop" class="slidedown" style="display:none;">
            <a style="float:right" href="#" onclick="jQuery('#searchdrop').slideUp(100);return false;">
            <img src="img/tng_close.gif" alt=""/></a><span class="subhead">
            <a href="searchform.php"><?php echo $text['mnuadvancedsearch']; ?></a>&nbsp;|&nbsp;
            <a href="famsearchform.php"><?php echo $text['searchfams']; ?></a>&nbsp;|&nbsp;
            <a href="searchsite.php"><?php echo $text['searchsitemenu']; ?></a>&nbsp;&nbsp;</span><br/><br/>
            <form action="search.php" method="get">
              <label for="searchfirst"><?php echo $text['firstname']; ?>:&nbsp;</label><input type="text" name="myfirstname" id="searchfirst"/>&nbsp;&nbsp;
              <label for="searchlast"><?php echo $text['lastname']; ?>:&nbsp;</label><input type="text" name="mylastname" id="searchlast"/>&nbsp;&nbsp;
              <label for="searchid"><?php echo $text['id']; ?>: </label><input type="text" class="veryshortfield" name="mypersonid" id="searchid"/>&nbsp;&nbsp;
              <input type="hidden" name="idqualify" value="equals"/><br/>
              <input type="submit" value="<?php echo $text['search']; ?>"/>
            </form>
          </div>
          <?php 
            // Restore original menu options
            $tngconfig['showhome'] = $tshowhome;
            $tngconfig['showsearch'] = $tshowsearch;
            $tngconfig['showlogin'] = $tshowlogin;
            $tngconfig['showshare'] = $tshowshare;
          ?>
        </td>
      </tr>
    </table>
  </div>
  <!-- END: Header -->
  <!-- BEGIN: Content -->
  <?php
    # This feature supports additional pages that you want to look exactly
    # like the 'Home' page--as if each were a 2nd, 3rd, etc... index.php.
    # Requires the user to copy a skeleton PHP file into the top-level 
    # TNG directory.  For Lindell-Herndon Genealogy, the Terms of Service
    # page (tos.php) is an example.  Simply add your additional pages as
    # 'cases' under the case for 'index.php', and the code will take care
    # of the rest.  All other pages look like detail pages and are handled
    # by the 'default' case.
    #
    switch (basename($_SERVER['SCRIPT_NAME'])) {
      case "index.php": 
      case "demo.php":
      # case "mypage.php":
        echo "  <div class=\"contentBox\">\n";
        break;
      default:
        echo "  <div class=\"detailBox\">\n";
    }
  ?>
